Subject: RE: [Sipping] Comments on sos draft -03 (URI)

From: "Rosen, Brian" <[email-masked]>
Date: Tue, 7 Jan 2003 14:00:52 -0500

I agree as long as "locally recognized" is learned from some site-dependent
entity (e.g. DHCP); it can't be built in.

> -----Original Message-----
> From: Henning Schulzrinne [mailto:[email-masked]]
> Sent: Tuesday, January 07, 2003 1:48 PM
> To: Rosen, Brian
> Cc: [email-masked]; [email-masked]
> Subject: Re: [Sipping] Comments on sos draft -03 (URI)
> 
> 
> This is another argument for having the end system convert locally 
> recognized digit strings into 'sos'.
> 
> My
> 
> Rosen, Brian wrote:
> > I don't think this works.  Not all dialing plans are the same,
> > and even if all 3G phones have the same dialing plans, that
> > won't be the same as, say, an enterprise telephony system.
> > 
> > In most US enterprises, and for that matter, in most US college
> > campuses, the emergency number is 9-911.  911 would not connect
> 
> I think there are attempts to change this; see 
> http://emergency.lib.uci.edu/ or 
> http://www.news.cornell.edu/Chronicle/97/7.24.97/911.html or 
> http://www.med.umich.edu/medschool/faculty/handbook/phones.html
> for some quick Google research.
> 
> I doubt that anybody sane will assign somebody extension 911.
> 
> > (the 9 would be interpreted as "outside line", and the 11 would
> > probably be interpreted as an illegal number).  In a "greenfield"
> > all-VoIP system, this could be changed, but in general, it can't.
> > A great many enterprise systems have 3 digit extensions where 1
> > is a legal first digit. 
> 
> There are probably two pragmatic approaches:
> 
> - Network-based: Don't assign 000, 08, 112, 110, 118, 119, 
> 911 and 999 
> as regular numbers. 0-00 would seem to be difficult since that's the 
> common way that you'd dial an international number from a 
> European PBX 
> phone. However, it should never appear as anything but the 
> initial part 
> of an overlap dialing string, which wouldn't be in a tel: URI 
> to begin with.
> 
> One can argue how difficult it would be to vacate the other 
> half dozen 
> numbers.
> 
> - UA-based: The UA recognizes these numbers and then asks whether you 
> want extension 112 or emergency. 
> (http://www.citrus.usda.gov/Staff2001.htm has them all :-)) 
> If it's the 
> extension, the normal tel:112;phone-context mechanism tells the proxy 
> that it shouldn't call the fire department.
> 
> Needless to say, neither approach is particularly satisfactory. Since 
> the outbound proxy is the one mangling extension 112 into an 
> emergency 
> call, it might be nice to able to ask it. Generalized, having a 
> mechanism where you can ask a proxy what it would do with a tel URI 
> would be nice. OPTIONS with Max-Forward plus one of the tracing 
> mechanism discussed (Jiri's draft, say) here may come close, 
> but seems 
> rather complicated.
> 
> Clearly, this could be part of the SIP device configuration, but that 
> wouldn't help for a visiting device that gets its 
> configuration from home.
> 
> Henning
> 
_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Henning Schulzrinne <[email-masked]>
Date: Tue, 07 Jan 2003 14:14:26 -0500

> entity (e.g. DHCP); it can't be built in.

While I proposed DHCP in -04, I am concerned that the strings announced 
by DHCP are not guaranteed to be the strings recognized by the outbound 
proxy. This is not a problem if DHCP also announces the outbound proxy 
server. Thus, this mechanism should be used only in conjunction with RFC 
3361.